/* file.c

   Copyright (C) 2002 Joseph Battaglia

   This file is part of phmap

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA. */

#include "main.h"

extern int *verbose;
FILE *infd;
FILE *outfd;
int status=0;

void closestreams(void)
{
	if(verbose)
	{
		printf("Closing steams...");
		fflush(stdout);
	}
	if(status == 1)
		fclose(infd);
	if(status == 2)
		fclose(outfd);
	if(status == 3)
	{
		fclose(infd);
		fclose(outfd);
	}
	if(verbose)
		printf("Done.\n");
}

void openfile(char *filename, int fd)
{
	if(verbose)
	{
		printf("Opening file %s...", filename);
		fflush(stdout);
	}
	if(fd == 1 && (infd = fopen(filename, "r")) == NULL)
		quit("Error opening input file", 1, 1);
	if(fd == 2 && (outfd = fopen(filename, "w+")) == NULL)
		quit("Error opening output file", 1, 1);
	status = status + fd;
	if(verbose)
		printf("Done.\n");
}

void readlist(void)
{
	char buf[BUFSIZE];
	char num[BUFSIZE];
	int c = 0,i = 0;
	if(verbose)
	{
		printf("Reading list...\n");
		fflush(stdout);
	}
	while(fgets(buf, BUFSIZE, infd) != NULL)
	{
		bzero(num, BUFSIZE);
		c = 0;
		for(i = 0; i < BUFSIZE; i++)
		{
			if(buf[i] == '0' || buf[i] == '1' || buf[i] == '2' || buf[i] == '3' || buf[i] == '4' || buf[i] == '5' || buf[i] == '6' || buf[i] == '7' || buf[i] == '8' || buf[i] == '9' || buf[i] == ',')
			{
				num[c] = buf[i];
				c++;
			}
			if(buf[i] == '\n')
			{
				num[c] = '\0';
				i = BUFSIZE;
			}
			if(i == (BUFSIZE - 1) && buf[i] != '\n')
			{
				while(fgetc(infd) != '\n' || feof(infd));
				i++;
			}
		}
		if(verbose)
			printf("Read: %s\n", num);
		addnumber(num);
	}
}

void writelist(char *string)
{
	if(verbose)
	{
		printf("Writing to output file...");
		fflush(stdout);
	}
	if(fputs(string, outfd) == EOF)
		quit("Error writing to output file", 1, 1);
	if(verbose)
		printf("Done.\n");
}
