/* list.c

   Copyright (C) 2002 Joseph Battaglia

   This file is part of phmap

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA. */

#include "main.h"

char *phonelist[NUMSIZE];
extern int *verbose;
int phonecount = 0;
int readcount = 0;

void addnumber(char *number)
{
	if(verbose)
	{
		printf("Adding to list: %s...", number);
		fflush(stdout);
	}
	if((phonelist[phonecount] = malloc(NUMSIZE)) == NULL)
		quit("Out of memory", 1, 0);
	strncpy(phonelist[phonecount], number, NUMSIZE);
	phonecount++;
	if(verbose)
		printf("Done\n");
}

char *readnext(void)
{
	if(verbose)
	{
		printf("Reading next number from list...\n");
	}
	if(phonecount > 0)
	{
		readcount++;
		return(phonelist[readcount - 1]);
	}
	return(NULL);
}
