/* version.c

   Copyright (C) 2002 Joseph Battaglia

   This file is part of phmap

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA. */

#include "main.h"

extern int color;

void printhelp(char *exec)
{
	char *sexec;
	if((sexec = strrchr(exec, PATH_SEP) + 1) == NULL)
		sexec = exec;
	printversion();
	printf("Usage: %s [-chv] [-t timeout] -d device -f file -o file\n", sexec);
	printf(" -c  Use color\n");
	printf(" -d  Specify modem device\n");
	printf(" -f  Specify input list file\n");
	printf(" -h  Display this help\n");
	printf(" -o  Specify output file\n");
	printf(" -t  Specify timeout\n");
	printf(" -v  Verbose output\n");
}

void printversion(void)
{
	if(color)
		printf("\033[31mp\033[32mh\033[33mm\033[34ma\033[35mp\033[36m %s\n\033[0m", PHMAP_VERSION);
	else
		printf("phmap %s\n", PHMAP_VERSION);
	if(color)
		printf("\033[1mCopyright (C) 2002 Joseph Battaglia\n\033[0m\n");
	else
		printf("Copyright (C) 2002 Joseph Battaglia\n\n");
}
